ステータスページ
GET https://uptime4.com/api/status-pages/
curl --request GET \
--url 'https://uptime4.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | どのフィールドで検索していますか。許可される値は次のとおりです: name. |
| is_enabled | オプション ブール値 | |
| project_id | オプション 整数 | |
| domain_id | オプション 整数 | |
| datetime_field | オプション 文字列 | 許可される値: datetime, last_datetime |
| datetime_start | オプション 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | オプション 文字列 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | オプション 文字列 | 結果を並べ替えるフィールド。許可される値は次のとおりです: status_page_id, datetime, last_datetime, name, pageviews. |
| order_type | オプション 文字列 | 結果の順序。許可される値は、昇順の場合は ASC、降順の場合は DESC です。 |
| page | オプション 整数 | 結果を取得するページ番号。デフォルトは 1 です。 |
| results_per_page | オプション 整数 | ページごとに必要な結果の数。許可される値は次のとおりです: 10, 25, 50, 100, 250, 500, 1000。デフォルトは 25 です。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime4.com/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": "",
"opengraph_url": "",
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-08-26 14:08:51",
"last_datetime": "2026-08-26 14:08:51"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/status-pages?page=1",
"last": "https://uptime4.com/api/status-pages?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/status-pages?page=1"
}
}
GET https://uptime4.com/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime4.com/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": "",
"opengraph_url": "",
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-08-26 14:08:51",
"last_datetime": "2026-08-26 14:08:51"
}
}
POST https://uptime4.com/api/status-pages
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 必須 文字列 | - |
| description | オプション 文字列 | - |
| url | オプション 文字列 | - |
| domain_id | オプション 整数 | - |
| is_main_status_page | オプション ブール値 | - |
| monitors_ids | オプション 配列 | - |
| heartbeats_ids | オプション 配列 | - |
curl --request POST \
--url 'https://uptime4.com/api/status-pages' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'description=This is just a simple description.' \
--form 'monitors_ids[]=1' \
--form 'heartbeats_ids[]=1' \
--url 'https://uptime4.com/api/status-pages' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'description=This is just a simple description.' \
--form 'monitors_ids[]=1' \
--form 'heartbeats_ids[]=1' \
{
"data": {
"id": 1
}
}
POST https://uptime4.com/api/status-pages/{status_page_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | オプション 文字列 | - |
| description | オプション 文字列 | - |
| url | オプション 文字列 | - |
| timezone | オプション 文字列 | - |
| password | オプション 文字列 | - |
| title | オプション 文字列 | - |
| meta_description | オプション 文字列 | - |
| meta_keywords | オプション 文字列 | - |
| language_code | オプション 文字列 | - |
| font_family | オプション 文字列 | - |
| theme | オプション 文字列 | - |
| custom_css | オプション 文字列 | - |
| custom_js | オプション 文字列 | - |
| domain_id | オプション 整数 | - |
| is_main_status_page | オプション ブール値 | - |
| project_id | オプション 整数 | - |
| font_size | オプション 整数 | - |
| auto_refresh | オプション 整数 | - |
| pwa_display_install_bar_delay | オプション 整数 | - |
| monitors_ids | オプション 配列 | - |
| heartbeats_ids | オプション 配列 | - |
| socials | オプション 配列 | 許可される値: socials[facebook], socials[instagram], socials[x], socials[threads], socials[email], socials[website] |
| is_enabled | オプション ブール値 | - |
| is_se_visible | オプション ブール値 | - |
| is_removed_branding | オプション ブール値 | - |
| display_share_buttons | オプション ブール値 | - |
| display_header_text | オプション ブール値 | - |
| pwa_is_enabled | オプション ブール値 | - |
| pwa_display_install_bar | オプション ブール値 | - |
| logo | オプション ファイル | - |
| logo_remove | オプション ブール値 | - |
| favicon | オプション ファイル | - |
| favicon_remove | オプション ブール値 | - |
| opengraph | オプション ファイル | - |
| opengraph_remove | オプション ブール値 | - |
| pwa_icon | オプション ファイル | - |
| pwa_icon_remove | オプション ブール値 | - |
| pwa_theme_color | オプション 文字列 | - |
curl --request POST \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/status-pages/{status_page_id}
curl --request DELETE \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"heartbeats_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime4.com/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"settings": {
"title": "Example",
"meta_description": "",
"meta_keywords": "",
"language_code": "en",
"font_family": "default",
"font_size": 16,
"display_share_buttons": true,
"display_header_text": true,
"auto_refresh": 0,
"pwa_file_name": null,
"pwa_is_enabled": false,
"pwa_icon": null,
"pwa_display_install_bar": false,
"pwa_display_install_bar_delay": 3,
"pwa_theme_color": "#000000"
},
"socials": {
"facebook": "",
"instagram": "",
"x": "",
"threads": "",
"email": "",
"website": ""
},
"logo_url": null,
"favicon_url": null,
"opengraph_url": null,
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 0,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-08-26 14:08:51",
"last_datetime": "2026-08-26 14:08:51"
}
}